<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>e03 documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	   <link rel="stylesheet" href="../styles/style.css">
        <link rel="stylesheet" href="../styles/dark.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">e03 documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li
  >
  JeuModifierComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#styleData" role="tab" id="styleData-tab" data-toggle="tab" data-link="style">Styles</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/app/jeux/jeu-modifier/jeu-modifier.component.ts</code>
</p>


    <p class="comment">
        <h3>Description</h3>
    </p>
    <p class="comment">
        <p>Composante permettant de modifier un jeu via un formulaire</p>

    </p>


    <p class="comment">
        <h3>Implements</h3>
    </p>
    <p class="comment">
                    <code><a href="https://angular.io/api/core/OnInit" target="_blank" >OnInit</a></code>
    </p>


<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover metadata">
        <tbody>











            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>app-jeu-modifier</code></td>
            </tr>

            <tr>
                <td class="col-md-3">styleUrls</td>
                <td class="col-md-9"><code>./jeu-modifier.component.scss</code></td>
            </tr>



            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./jeu-modifier.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#formulaire" >formulaire</a>
                            </li>
                            <li>
                                <a href="#jeu" >jeu</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#ngOnInit" >ngOnInit</a>
                            </li>
                            <li>
                                <a href="#soumettre" >soumettre</a>
                            </li>
                        </ul>
                    </td>
                </tr>





                    <tr>
                        <td class="col-md-4">
                            <h6><b>Accessors</b></h6>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <ul class="index-list">
                                <li>
                                    <a href="#nom" >nom</a>
                                </li>
                                <li>
                                    <a href="#description" >description</a>
                                </li>
                            </ul>
                        </td>
                    </tr>
        </tbody>
    </table>
</section>

    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(jeuxService: <a href="../injectables/JeuxService.html" target="_self">JeuxService</a>, fb: <a href="https://angular.io/api/forms/FormBuilder" target="_blank">FormBuilder</a>, route: <a href="https://angular.io/api/router/ActivatedRoute" target="_blank">ActivatedRoute</a>, router: <a href="https://angular.io/api/router/Router" target="_blank">Router</a>)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="45" class="link-to-prism">src/app/jeux/jeu-modifier/jeu-modifier.component.ts:45</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>Crée la composante</p>
</div>
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                                    <td>Description</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>jeuxService</td>
                                                  
                                                        <td>
                                                                        <code><a href="../injectables/JeuxService.html" target="_self" >JeuxService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                        <td>
                                                                <p>Référence au service des jeux</p>

                                                        </td>
                                                </tr>
                                                <tr>
                                                        <td>fb</td>
                                                  
                                                        <td>
                                                                        <code><a href="https://angular.io/api/forms/FormBuilder" target="_blank" >FormBuilder</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                        <td>
                                                                <p>FormBuilder utilisé pour construire et le formulaire et contient les données entrées</p>

                                                        </td>
                                                </tr>
                                                <tr>
                                                        <td>route</td>
                                                  
                                                        <td>
                                                                        <code><a href="https://angular.io/api/router/ActivatedRoute" target="_blank" >ActivatedRoute</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                        <td>
                                                                <p>Route courante</p>

                                                        </td>
                                                </tr>
                                                <tr>
                                                        <td>router</td>
                                                  
                                                        <td>
                                                                        <code><a href="https://angular.io/api/router/Router" target="_blank" >Router</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                        <td>
                                                                <p>Routeur Angular</p>

                                                        </td>
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>





    <section>
    
    <h3 id="methods">
        Methods
    </h3>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="ngOnInit"></a>
                    <span class="name">
                        <span ><b>ngOnInit</b></span>
                        <a href="#ngOnInit"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>ngOnInit()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="59"
                            class="link-to-prism">src/app/jeux/jeu-modifier/jeu-modifier.component.ts:59</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="soumettre"></a>
                    <span class="name">
                        <span ><b>soumettre</b></span>
                        <a href="#soumettre"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>soumettre()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="74"
                            class="link-to-prism">src/app/jeux/jeu-modifier/jeu-modifier.component.ts:74</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-description"><p>Fonction appelée lorsque le formulaire est envoyé (bouton submit)</p>
</div>

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
</section>
    <section>
    
    <h3 id="inputs">
        Properties
    </h3>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="formulaire"></a>
                    <span class="name">
                        <span ><b>formulaire</b></span>
                        <a href="#formulaire"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Default value : </i><code>this.fb.group({
    id: [0],
    nom: [&#x27;&#x27;, Validators.required],
    description: [&#x27;&#x27;, [Validators.required, Validators.minLength(50)]],
  }, {
    updateOn: &#x27;submit&#x27;
  })</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="25" class="link-to-prism">src/app/jeux/jeu-modifier/jeu-modifier.component.ts:25</a></div>
                        </td>
                    </tr>

            <tr>
                <td class="col-md-4">
                    <div class="io-description"><p>Formulaire de modification de jeu</p>
</div>
                </td>
            </tr>

        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="jeu"></a>
                    <span class="name">
                        <span ><b>jeu</b></span>
                        <a href="#jeu"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>        <code><a href="../interfaces/Jeu.html" target="_self" >Jeu</a></code>

                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="20" class="link-to-prism">src/app/jeux/jeu-modifier/jeu-modifier.component.ts:20</a></div>
                        </td>
                    </tr>

            <tr>
                <td class="col-md-4">
                    <div class="io-description"><p>Référence au jeu à modifier</p>
</div>
                </td>
            </tr>

        </tbody>
    </table>
</section>

    <section>
    <h3 id="accessors">
        Accessors
    </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="nom"></a>
                        <span class="name"><b>nom</b><a href="#nom"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>nom()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="36" class="link-to-prism">src/app/jeux/jeu-modifier/jeu-modifier.component.ts:36</a></div>
                                </td>
                            </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-description"><p>Retourne la valeur du champ nom tel que dans le formulaire</p>
</div>

                        </td>
                    </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="description"></a>
                        <span class="name"><b>description</b><a href="#description"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>description()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="43" class="link-to-prism">src/app/jeux/jeu-modifier/jeu-modifier.component.ts:43</a></div>
                                </td>
                            </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-description"><p>Retourne la valeur du champ description tel que dans le formulaire</p>
</div>

                        </td>
                    </tr>

            </tbody>
        </table>
</section>
</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, OnInit } from &#x27;@angular/core&#x27;;
import {Jeu} from &quot;../../core/models/jeu.model&quot;;
import {FormBuilder, Validators} from &quot;@angular/forms&quot;;
import {JeuxService} from &quot;../../core/services/jeux.service&quot;;
import {ActivatedRoute, Router} from &quot;@angular/router&quot;;


/**
 * Composante permettant de modifier un jeu via un formulaire
 */
@Component({
  selector: &#x27;app-jeu-modifier&#x27;,
  templateUrl: &#x27;./jeu-modifier.component.html&#x27;,
  styleUrls: [&#x27;./jeu-modifier.component.scss&#x27;]
})
export class JeuModifierComponent implements OnInit {
  /**
   * Référence au jeu à modifier
   */
  jeu!: Jeu;

  /**
   * Formulaire de modification de jeu
   */
  formulaire &#x3D; this.fb.group({
    id: [0],
    nom: [&#x27;&#x27;, Validators.required],
    description: [&#x27;&#x27;, [Validators.required, Validators.minLength(50)]],
  }, {
    updateOn: &#x27;submit&#x27;
  });

  /**
   * Retourne la valeur du champ nom tel que dans le formulaire
   */
  get nom() {
    return this.formulaire.get(&#x27;nom&#x27;);
  }

  /**
   * Retourne la valeur du champ description tel que dans le formulaire
   */
  get description() {
    return this.formulaire.get(&#x27;description&#x27;);
  }

  /**
   * Crée la composante
   * @param jeuxService Référence au service des jeux
   * @param fb FormBuilder utilisé pour construire et le formulaire et contient les données entrées
   * @param route Route courante
   * @param router Routeur Angular
   */
  constructor(private jeuxService: JeuxService,
              private fb: FormBuilder,
              private route: ActivatedRoute,
              private router: Router) { }

  ngOnInit(): void {
    const id &#x3D; Number(this.route.snapshot.paramMap.get(&#x27;id&#x27;));
    this.jeuxService.obtenirJeu(id).subscribe((jeu) &#x3D;&gt; {
      this.jeu &#x3D; jeu;
      this.formulaire.setValue({
        id: jeu.id,
        nom: jeu.nom,
        description: jeu.description
      })
    });
  }

  /**
   * Fonction appelée lorsque le formulaire est envoyé (bouton submit)
   */
  soumettre() {
    if(this.formulaire.valid) {
      this.jeuxService.modifierJeu(this.formulaire.value as Jeu).subscribe(() &#x3D;&gt; {
        this.router.navigate([&#x27;jeux&#x27;, this.jeu.id]);
      })
    }
  }
}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;div *ngIf&#x3D;&quot;jeu&quot;&gt;
  &lt;h2&gt;{{ jeu.nom }}&lt;/h2&gt;
  &lt;form [formGroup]&#x3D;&quot;formulaire&quot; (ngSubmit)&#x3D;&quot;soumettre()&quot; #form&#x3D;&#x27;ngForm&#x27;&gt;
    &lt;div class&#x3D;&quot;mb-3&quot;&gt;
      &lt;label for&#x3D;&quot;nom&quot; class&#x3D;&quot;form-label&quot;&gt;Nom: &lt;/label&gt;
      &lt;input id&#x3D;&quot;nom&quot; type&#x3D;&quot;text&quot; class&#x3D;&quot;form-control&quot; formControlName&#x3D;&quot;nom&quot;
             [class.is-invalid]&#x3D;&quot;nom?.invalid &amp;&amp; form.submitted&quot;&gt;
      &lt;div class&#x3D;&quot;invalid-feedback&quot;&gt;
        &lt;div *ngIf&#x3D;&quot;nom?.errors?.[&#x27;required&#x27;]&quot;&gt;
          Le nom du jeu est requis
        &lt;/div&gt;
        &lt;div *ngIf&#x3D;&quot;nom?.errors?.[&#x27;nomJeuExiste&#x27;]&quot;&gt;
          Ce jeu existe déjà
        &lt;/div&gt;
      &lt;/div&gt;
    &lt;/div&gt;

    &lt;div class&#x3D;&quot;mb-3&quot;&gt;
      &lt;label for&#x3D;&quot;description&quot; class&#x3D;&quot;form-label&quot;&gt;Description: &lt;/label&gt;
      &lt;textarea id&#x3D;&quot;description&quot; class&#x3D;&quot;form-control&quot; formControlName&#x3D;&quot;description&quot;
                [class.is-invalid]&#x3D;&quot;description?.invalid &amp;&amp; form.submitted&quot;&gt;
      &lt;/textarea&gt;
      &lt;div class&#x3D;&quot;invalid-feedback&quot;&gt;
        &lt;div *ngIf&#x3D;&quot;description?.errors?.[&#x27;required&#x27;]&quot;&gt;
          La description est requise
        &lt;/div&gt;
        &lt;div *ngIf&#x3D;&quot;description?.errors?.[&#x27;minlength&#x27;]&quot;&gt;
          La description doit contenir au moins 50 caractères
        &lt;/div&gt;
      &lt;/div&gt;
    &lt;/div&gt;

    &lt;button type&#x3D;&quot;submit&quot; class&#x3D;&quot;btn btn-primary&quot;&gt;Soumettre&lt;/button&gt;
  &lt;/form&gt;
&lt;/div&gt;
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-styleData">
                <p class="comment">
                    <code>./jeu-modifier.component.scss</code>
                </p>
                <pre class="line-numbers"><code class="language-scss"></code></pre>
    </div>

    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><div *ngIf="jeu">  <h2>{{ jeu.nom }}</h2>  <form [formGroup]="formulaire" (ngSubmit)="soumettre()" #form=\'ngForm\'>    <div class="mb-3">      <label for="nom" class="form-label">Nom: </label>      <input id="nom" type="text" class="form-control" formControlName="nom"             [class.is-invalid]="nom?.invalid && form.submitted">      <div class="invalid-feedback">        <div *ngIf="nom?.errors?.[\'required\']">          Le nom du jeu est requis        </div>        <div *ngIf="nom?.errors?.[\'nomJeuExiste\']">          Ce jeu existe déjà        </div>      </div>    </div>    <div class="mb-3">      <label for="description" class="form-label">Description: </label>      <textarea id="description" class="form-control" formControlName="description"                [class.is-invalid]="description?.invalid && form.submitted">      </textarea>      <div class="invalid-feedback">        <div *ngIf="description?.errors?.[\'required\']">          La description est requise        </div>        <div *ngIf="description?.errors?.[\'minlength\']">          La description doit contenir au moins 50 caractères        </div>      </div>    </div>    <button type="submit" class="btn btn-primary">Soumettre</button>  </form></div></div>'
    var COMPONENTS = [{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'ConnexionComponent', 'selector': 'app-connexion'},{'name': 'JeuCreerComponent', 'selector': 'app-jeu-creer'},{'name': 'JeuDetailsComponent', 'selector': 'app-jeu-details'},{'name': 'JeuItemComponent', 'selector': 'app-jeu-item'},{'name': 'JeuListeComponent', 'selector': 'app-jeu-liste'},{'name': 'JeuModifierComponent', 'selector': 'app-jeu-modifier'},{'name': 'NavComponent', 'selector': 'app-nav'},{'name': 'StreamerListeComponent', 'selector': 'app-streamer-liste'}];
    var DIRECTIVES = [];
    var ACTUAL_COMPONENT = {'name': 'JeuModifierComponent'};
</script>
<script src="../js/tree.js"></script>

















                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> results matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

          <label class="dark-mode-switch">
               <input type="checkbox">
               <span class="slider">
                    <svg class="slider-icon" viewBox="0 0 24 24" fill="none" height="20" stroke="#000" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" width="20" xmlns="http://www.w3.org/2000/svg">
                    <path d="M21 12.79A9 9 0 1111.21 3 7 7 0 0021 12.79z"></path>
                    </svg>
               </span>
          </label>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'JeuModifierComponent.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>

       <script src="../js/menu-wc.js" defer></script>
       <script nomodule src="../js/menu-wc_es5.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
